Ubuntu

“dhcp3” 3.1.3-2ubuntu3.4 source package in The Lucid Lynx

Publishing history

3.1.3-2ubuntu3.4
SUPERSEDED: Lucid pocket Updates in component main and section net
  • Removal requested on 2013-06-01.
  • Superseded on 2013-05-31 by dhcp3 - 3.1.3-2ubuntu3.5
  • Published on 2012-09-18
  • Copied from ubuntu lucid in Private PPA for Ubuntu Security Team by Ubuntu Archive Robot
3.1.3-2ubuntu3.4
PUBLISHED: Lucid pocket Security in component main and section net
  • Published on 2012-09-18
  • Copied from ubuntu lucid in Private PPA for Ubuntu Security Team by Marc Deslauriers

Builds

Changelog

dhcp3 (3.1.3-2ubuntu3.4) lucid-security; urgency=low

  * debian/dhclient-script.linux: Explicitly set the PATH to that of
    ENV_SUPATH in /etc/login.defs and unset various other variables. We need
    to do this so /sbin/dhclient cannot abuse the environment to escape
    AppArmor confinement via this script. Don't worry about
    debian/dhclient-script.udeb or debian/dhclient-script.kfreebsd since
    AppArmor isn't used in these environments.
    - LP: #1045986
  * debian/patches/adjust-configure-for-linux3.dpatch: default to linux-2.2
    for 3.0+ kernels
 -- Jamie Strandboge <email address hidden>   Wed, 05 Sep 2012 10:58:55 -0500